Page MenuHomePhabricator

Migrate all CI jobs from stretch to buster or later and drop stretch testing support
Open, Needs TriagePublic

Details

Show related patches Customize query in gerrit

Related Objects

StatusSubtypeAssignedTask
OpenNone
ResolvedJdforrester-WMF
InvalidNone
ResolvedLadsgroup
ResolvedJdforrester-WMF
ResolvedDzahn
Resolvedhashar
ResolvedJdforrester-WMF
ResolvedLadsgroup
ResolvedMoritzMuehlenhoff
Resolvedjijiki
ResolvedMoritzMuehlenhoff
ResolvedTrizek-WMF
ResolvedDzahn
Resolved Gilles
ResolvedDzahn
ResolvedRequestPapaul
Resolvedjijiki
DeclinedNone
ResolvedDzahn
ResolvedDzahn
ResolvedPapaul
ResolvedCmjohnson
ResolvedRequestCmjohnson
ResolvedRequestPapaul
ResolvedAndrew
ResolvedArielGlenn
ResolvedDzahn
ResolvedLegoktm
ResolvedPapaul
ResolvedDzahn
Declined Gilles
ResolvedVolans
ResolvedDzahn
ResolvedLegoktm
OpenNone

Event Timeline

Change 674185 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] dockerfiles: [node10] Switch OS from stretch to buster and mostly cascade

https://gerrit.wikimedia.org/r/674185

Change 674188 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] dockerfiles: [quibble-coverage] Move from stretch to buster

https://gerrit.wikimedia.org/r/674188

Change 674189 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] jjb: Switch quibble-coverage jobs from stretch to buster image

https://gerrit.wikimedia.org/r/674189

Change 674190 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] dockerfiles: [quibble-fresnel] Move from stretch to buster

https://gerrit.wikimedia.org/r/674190

Change 674191 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] jjb: [mediawiki-fresnel-patch-docker] Move from stretch to buster

https://gerrit.wikimedia.org/r/674191

Change 674188 merged by jenkins-bot:

[integration/config@master] dockerfiles: Provide quibble-buster-php73-coverage

https://gerrit.wikimedia.org/r/674188

Change 674189 merged by jenkins-bot:

[integration/config@master] jjb: Switch coverage jobs to PHP 7.3 and buster

https://gerrit.wikimedia.org/r/674189

Change 674190 merged by jenkins-bot:

[integration/config@master] dockerfiles: [quibble-fresnel] Move from stretch to buster

https://gerrit.wikimedia.org/r/674190

Mentioned in SAL (#wikimedia-releng) [2021-04-16T22:00:25Z] <James_F> Docker: Publishing quibble-fresnel based on buster not stretch T278203

Change 674191 merged by jenkins-bot:

[integration/config@master] jjb: [mediawiki-fresnel-patch-docker] Move from stretch to buster

https://gerrit.wikimedia.org/r/674191

Change 674193 had a related patch set uploaded (by Jforrester; author: Jforrester):

[integration/config@master] jjb: Switch quibble 'bundle' jobs to buster

https://gerrit.wikimedia.org/r/674193

Change 674185 merged by jenkins-bot:

[integration/config@master] dockerfiles: [node10] Switch OS from stretch to buster and mostly cascade

https://gerrit.wikimedia.org/r/674185

Change 683945 had a related patch set uploaded (by Jforrester; author: Jforrester):

[integration/config@master] jjb: Switch node jobs to buster images

https://gerrit.wikimedia.org/r/683945

Change 683945 merged by jenkins-bot:

[integration/config@master] jjb: Switch node jobs to buster images

https://gerrit.wikimedia.org/r/683945

Change 685633 had a related patch set uploaded (by Jforrester; author: Jforrester):

[integration/config@master] jjb: Drop mwselenium-quibble-docker, no longer used

https://gerrit.wikimedia.org/r/685633

Change 699070 had a related patch set uploaded (by Jforrester; author: Jforrester):

[integration/config@master] dockerfiles: [release-notes] Re-platform to Buster

https://gerrit.wikimedia.org/r/699070

Change 685633 merged by jenkins-bot:

[integration/config@master] jjb: Drop mwselenium-quibble-docker, no longer used

https://gerrit.wikimedia.org/r/685633

Change 699070 merged by jenkins-bot:

[integration/config@master] dockerfiles: [release-notes] Re-platform to Buster

https://gerrit.wikimedia.org/r/699070

Change 699143 had a related patch set uploaded (by Hashar; author: Hashar):

[integration/config@master] jjb: train-deploy-notes switch to Buster

https://gerrit.wikimedia.org/r/699143

Change 699143 merged by jenkins-bot:

[integration/config@master] jjb: train-deploy-notes switch to Buster

https://gerrit.wikimedia.org/r/699143

Change 699261 had a related patch set uploaded (by Jforrester; author: Jforrester):

[integration/config@master] dockerfiles: [curl] Re-platform from stretch to buster

https://gerrit.wikimedia.org/r/699261

Change 699262 had a related patch set uploaded (by Jforrester; author: Jforrester):

[integration/config@master] jjb: [labs-tools-wikibugs2-autopull] Switch to buster curl

https://gerrit.wikimedia.org/r/699262

Change 674193 merged by jenkins-bot:

[integration/config@master] jjb: [mediawiki-selenium-integration-docker] Switch to buster

https://gerrit.wikimedia.org/r/674193

Change 699261 merged by jenkins-bot:

[integration/config@master] dockerfiles: [curl] Re-platform from stretch to buster

https://gerrit.wikimedia.org/r/699261

Change 699262 merged by jenkins-bot:

[integration/config@master] jjb: [labs-tools-wikibugs2-autopull] Switch to buster curl

https://gerrit.wikimedia.org/r/699262

Change 742794 had a related patch set uploaded (by Jforrester; author: Jforrester):

[integration/config@master] dockerfiles: [php72] Migrate from stretch to buster

https://gerrit.wikimedia.org/r/742794

Change 742794 merged by jenkins-bot:

[integration/config@master] dockerfiles: [php72] Migrate from stretch to buster

https://gerrit.wikimedia.org/r/742794

Mentioned in SAL (#wikimedia-releng) [2021-11-30T20:23:38Z] <James_F> Docker: Publishing new images of php* with php-yaml (and for php72, based on buster not stretch) for T296331 and T278203

Change 742795 had a related patch set uploaded (by Jforrester; author: Jforrester):

[integration/config@master] jjb: Update jobs using php* images to have php-yaml extension

https://gerrit.wikimedia.org/r/742795

Change 742796 had a related patch set uploaded (by Jforrester; author: Jforrester):

[integration/config@master] dockerfiles: [sury-php] Migrate from stretch to bullseye

https://gerrit.wikimedia.org/r/742796

Change 742795 merged by jenkins-bot:

[integration/config@master] jjb: Update jobs using php* images to have php-yaml extension

https://gerrit.wikimedia.org/r/742795

Change 742796 merged by jenkins-bot:

[integration/config@master] dockerfiles: [sury-php] Migrate from stretch to bullseye

https://gerrit.wikimedia.org/r/742796

Mentioned in SAL (#wikimedia-releng) [2022-03-03T15:37:03Z] <James_F> Docker: Publishing sury-php images based on bullseye not stretch and cascade for T278203

Change 767858 had a related patch set uploaded (by Jforrester; author: Jforrester):

[integration/config@master] jjb: Update jobs using images deribed from sury-php now it uses bullseye

https://gerrit.wikimedia.org/r/767858

Change 767858 merged by jenkins-bot:

[integration/config@master] jjb: Update jobs using images derived from sury-php now it uses bullseye

https://gerrit.wikimedia.org/r/767858

Change 767877 had a related patch set uploaded (by Jforrester; author: Jforrester):

[integration/config@master] [WIP] dockerfiles: [zuul-cloner] Migrate from stretch to buster

https://gerrit.wikimedia.org/r/767877